Docy

Upgrade the Virtual Appliance

Upgrade the Virtual Appliance

The upgrade process depends on the current version of your Virtual Appliance (VA). Netskope supports upgrading the software for up to two versions ahead of the current version.

  1. In the appliance CLI, run show version-info to check the current version of your appliance.
  2. Run the following command to check for the list of available software from Netskope.

upgrade software list

Appliance Software Version Support

Netskope Appliance software releases are available every 4-months and will have Netskope support up to two previous versions. Direct software upgrades are supported as long as the “from” and “to” software releases are within two versions apart.

Netskope appliance releases are numbered in the form of X.X.X where the Xs represent the major, minor, and build release numbers, respectively. For example, appliance release 99.0.0 and older releases are deprecated when appliance release 110.0.0 goes live. Release numbers are not sequential like 101, 102, and 103. Instead, release numbers jump numerically, like 103.0.0.338, 106.0.0.379, and 110.0.0, to reflect parity with the Netskope Cloud Releases.

The following table provides the upgrade path to the latest software version.

Current versionUpgrade to version
Any version before 103.0.0.338103.0.0.338
103.0.0.338110.0.0
106.0.0.379110.0.0

Before upgrading your appliance software, Netskope recommends that you save the existing configuration of your current appliance version by exporting the configuration. After upgrading your appliance software, if you want to revert to a previous version, you must install a new VA of the previous version, and import the configurations exported before the upgrade. This method of exporting and importing configuration to revert to a previous version can only be used to revert to versions 103.0.0.338 or later.

To learn more: Export or Import Configurations

If you want to revert to a version older than 103.0.0.338, you must install a new VA and manually reconfigure the appliance. Rollback from Appliance Release 110.0.0 to versions earlier than 106.0.0.379 is not supported.

Share this Doc
In this topic ...